Growth

Contextual market signals

GET
/api/v1/signals

External signals scored against this merchant's actual revenue exposure. Deliberately not a general news feed.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

days?integer

Look-back window in days.

Range7 <= value <= 180
Default30
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/signals"
{  "data": {    "generated_at": "2019-08-24T14:15:22Z",    "high_relevance_count": 0,    "provenance": {      "data_source": "SEEDED",      "is_simulated": true,      "note": "Seeded demo dataset - not computed from a live PayPal merchant account."    },    "signals": [      {        "category": "string",        "direction": "NEUTRAL",        "exposure_note": "",        "exposure_pct": 0,        "icon": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "is_simulated": true,        "linked_category": "string",        "linked_product_id": "5c24fea5-c8cf-40a9-9718-90de32d982ae",        "observed_on": "2019-08-24",        "potential_impact": "",        "recommended_action": "",        "relevance": "HIGH",        "relevance_score": 0,        "source_name": "string",        "source_url": "string",        "summary": "string",        "title": "string"      }    ]  },  "meta": {},  "success": true}